Summary:        C library implementing the Javascript Object Signing and Encryption (JOSE)
Name:           cjose
Version:        0.6.2.2
Release:        1%{?dist}.1
License:        MIT
URL:            https://github.com/OpenIDC/cjose
Source0:  	    https://github.com/OpenIDC/cjose/releases/download/v%{version}/cjose-%{version}.tar.gz

BuildRequires:  make gcc
BuildRequires:  doxygen jansson-devel openssl-devel check-devel

%description
This package provides the implementation of JOSE for C/C++.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%autosetup -p1

%build
%configure
%make_build


%install
%make_install
find %{buildroot} -name '*.a' -exec rm -f {} ';'
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%check
make check || (cat test/test-suite.log; exit 1)

%files
%license LICENSE
%doc CHANGELOG.md README.md
%doc /usr/share/doc/cjose
%{_libdir}/*.so.*


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/cjose.pc


%changelog
* Thu Mar 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.2.2-1.1
- Rebuild

* Fri Oct 20 2023 Wang Guodong <gordonwwang@tencent.com> - 0.6.2.2-1
- Upgrade to 0.6.2.2
- fix CVE-2023-37464

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Wang Guodong <gordonwwang@tencent.com> - 0.6.1-1
- package init.
